List onboarding employees

Returns a list of all workers currently going through the onboarding process, including contract details, HRIS profile information, current onboarding status, and onboarding due dates. Use this endpoint to monitor onboarding progress, track pending actions, and ensure deadlines are met. Token scopes: contracts:read, people:read

Authentication

AuthorizationBearer
## Authentication Deel API uses API tokens to authenticate requests. A bearer token is required to authenticate all API requests. All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail. ``` curl -X GET 'api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` ### Generating Access Tokens 1. Navigate to **Apps & Perks > Developer Center**. 2. Click on the “Generate New Token” button. 3. In the popup, click “Generate Token” button to generate a new token. Your newly generated token is visible on the screen. 4. Make sure to copy and save your token once is generated. You won't be able to see it again!
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

searchstringOptional
Search term to filter contracts by name or other attributes
contractOidlist of stringsOptional
Search attribute to filter onboarding list by contract id
hiringTypeslist of enumsOptional
Search attribute to filter onboarding list by hiring type
Allowed values:
progressStatuseslist of enumsOptional
Search attribute to filter onboarding list by progress status
Allowed values:
countrieslist of stringsOptional
Search attribute to filter onboarding list by country
teamslist of stringsOptional
Search attribute to filter onboarding list by team
legalEntitieslist of stringsOptional
Search attribute to filter onboarding list by legal entity
hrisDirectManagerslist of stringsOptional
Search attribute to filter onboarding list by HRIS direct manager
fromDatestringOptionalformat: "date-time"
Start date for filtering contracts
toDatestringOptionalformat: "date-time"
End date for filtering contracts
actionslist of enumsOptional
Onboarding actions
Allowed values:
limitintegerOptional1-200Defaults to 20
Number of results to return per page
sort_byenumOptionalDefaults to progressStatusWeight
Field to sort by
Allowed values:
sort_orderenumOptionalDefaults to ASC
Sorting order
Allowed values:
cursorstringOptional
Cursor for pagination
include_overviewbooleanOptionalDefaults to false
Include an overview of the contract

Response

A list of onboarding and their details
datalist of objects or null
pageobject or null

Errors